package org.intellij.ipp;

import com.intellij.openapi.components.ProjectComponent;
import com.intellij.openapi.project.Project;
import com.intellij.codeInsight.intention.IntentionManager;
import org.intellij.ipp.fqnnames.FQNIntention;
import org.intellij.ipp.fqnnames.FQNAllIntention;
import org.intellij.ipp.util.FQNBundle;
import org.jetbrains.annotations.NotNull;

/**
 * Copyright 2006 Cojocar Dan
 * <p/>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * <p/>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p/>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * A project component that is registering the new intentions
 * @see com.intellij.openapi.components.ProjectComponent
 *
 * User: dan
 * Date: Oct 24, 2006
 * Time: 2:48:56 PM
 * $Id$
 */
public class FQNPlugin implements ProjectComponent {
    public FQNPlugin(Project project) {
        super();
        final IntentionManager mgr = IntentionManager.getInstance(project);
        final String[] importsCategory = new String[]{FQNBundle.message("intention.category.imports")};
        mgr.registerIntentionAndMetaData(new FQNIntention(), importsCategory);
        mgr.registerIntentionAndMetaData(new FQNAllIntention(), importsCategory);
    }

    public void initComponent() {
    }

    public void disposeComponent() {
    }

    @NotNull
    public String getComponentName() {
        return "FQNPlugin";
    }

    public void projectOpened() {
    }

    public void projectClosed() {
    }
}
